Subject: Re: [PATCH v4 00/12] Introduce git-history(1) command for easy history editing

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Oct 2025 09:47:38 -0700

Patrick Steinhardt <[email-masked]> writes:

> over recent months I've been playing around with Jujutsu quite
> frequently. While I still prefer using Git, there's been a couple
> features in it that I really like and that I'd like to have in Git, as
> well.
> ...
> Changes in v4:
>   - I've rebuilt the patch series. It is now based on 821f583da6 (The
>     thirteenth batcn, 2025-09-29) with sa/replay-atomic-ref-updates
>     at 665c66a743 (replay: make atomic ref updates the default behavior,
>     2025-09-27) merged into it. This should fix all conflicts with seen.
>   - I've reworked this patch series to use the same infra as
>     git-replay(1), as discussed during the Contributor's Summit.
>   - I've slimmed down the patch series to only tackle those commands
>     that cannot result in a conflict to keep it simple. I also learned
>     that Elijah has been working on a "git replay edit" command, so I
>     dropped that command so that we can instead use his version.
>   - During the Contributor's Summit we have agreed that for now, we
>     won't care about hook execution just yet. This may be backfilled at
>     a later point in time.
>   - I dropped "commit.verbose" handling for now, as my understanding of
>     it was wrong at first. This is something we should backfill.
>   - Link to v3: https://lore.kernel.org/r/[email-masked]

What is queued near the tip of 'seen' is v4 but rebased on the
updated version of sa/replay-atomic-ref-updates that came from
<[email-masked]>.  The rebase
only had a slight conflict at [PATCH v4 02/12].

The result based on the same 821f583da6 (The thirteenth batcn,
2025-09-29) with sa/replay-atomic-ref-updates at a07d37b3 (replay:
add replay.defaultAction config option, 2025-10-14).